/**
 * Quản lý và xử lý thời gian, ngày tháng một cách tiện lợi và nhất quán.
 * Giảm thiểu lỗi khi thao tác với định dạng ngày giờ.
 */
import moment from 'moment';
import { TIMELINE_TYPE } from '../Commons/Enums';
import { Timestamp } from '../Commons/Types';
export declare function dateToString(date: moment.MomentInput): string;
export declare function calculatorDirectoryIdRoot(directoriesTree: any): number;
export declare const convertTimeLine: (value: number) => string;
export declare const convertDateTimeToTimestamp: (date: Date) => Timestamp;
export declare const convertTimestampToDateTime: (timestamp: Timestamp) => Date;
export declare const dateTimeToString: (dateTime: Date, format: string) => string;
export declare const convertTimelineToDateTime: (timeline: string, timelineType: TIMELINE_TYPE) => Date;
export declare function dateToStringDDMMYYYY(date: any): string | null;
export declare function timestampToStringDDMMYYYY(date: any): string | null;
export declare const getStartOfDay: (dateTime: Date) => Date;
export declare const getToday: () => Date;
export declare function fillMissingDates(data: Array<{
    x: string;
    y: number;
}>, startDate?: string | Date | number, endDate?: string | Date | number, format?: string | 'YYYYMMDD' | 'YYYYMMDDHH'): {
    x: string;
    y: number;
}[];
export declare function parseJSON(str: string): any;
